Subject: RE: [Isis-wg] doubts

From: Les Ginsberg <[email-masked]>
Date: Thu, 26 Sep 2002 16:16:14 -0700

At 05:07 PM 9/26/02 -0400, Jeff Parker wrote:
>Rams -
>         I'm not sure I'm following all of this.
>Let me draw the network, and change a few names
>to match 10589's language here...
>B is connect to D via a p2p link, and to A, E and F
>via a Bcast link
>
>                   D
>                 |
>         A*        B    E    F
>       +         +    +    +
>     ===========================
>
>A* == A is the DIS
>
>I think this is your network.
>B has recieved LSP X from D, and has set the
>SRM bit on circuit C (the circuit to the LAN).
>Section 7.3.15.2.b.1 talks about getting a
>CSPN on circuit C from DIS A
>
>         1) If the reported value equals the database
>         value and C is a non-broadcast circuit, clear
>         the SRM flag for C in that LSP
>
>Your observation is that we could safely clear the
>SRM bit on a broadcast link as well as a p2p.  If there
>are other IS's E and F on the LAN, they will have just
>seen the CSPN, so they will ask for the LSP if
>they don't have it.  Nothing is gained by sending.

Actually something is gained by maintaining the SRMflag This is one of 
those cases where the handling of a received SNP entry is not and should 
not be equivalent to handling the receipt of the matching LSP. In the 
example Jeff has provided, when the non-DIS node  B receives an SNP entry 
from the DIS(A) it knows that A and B have the matching entry, but knows 
nothing about the state of this LSP in other non-DIS neighbors. In this 
example, all ISs who have recently received a new copy of the LSP in 
question will have set SRMflag on the broadcast circuit. Because LSPs are 
multicast, the first IS (DIS or non-DIS) who sends the new copy of the LSP 
will cause all other IS's on the LAN to clear the SRMflag when processing 
the received LSP (see 7.3.15.1e-iii). This will minimize the number of ISs 
who send the same copy of the LSP and will also minimize the number of 
PSNPs sent containing the corresponding SNP entry because the receipt of 
the LSP will also cause SSNflag to be  cleared (see 7.3.15.1e-v).

If every IS who had the SRMflag set cleared the SRMflag on receipt of a 
CSNP with an equal entry convergence time would be lengthened becaus

>I don't know if this has been observed before or fixed
>in some version of the draft - a brief look at the
>recent revision shows no change.
>
>As you note, there is no harm in the extra send, but
>it does seem odd that this is singled out.  There
>must be a reason
>
>Mike?  What are we missing?
>
>- jeff parker
>_______________________________________________
>Isis-wg mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/isis-wg

_______________________________________________
Isis-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/isis-wg